class TwoHourString {
  float angle;
  
  char[] typedLetters = {' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' '};
  
  String[] fontList;
  
  PVector pos;
  
  TwoHourString(String[] fList) {
    fontList = fList;
    angle = random(TAU);
    pos = new PVector(random(FRAME_WIDTH), random(FRAME_HEIGHT));
  }
  
  
  void display() {
    fill(random(255), random(255), random(255));
    translate(pos.x, pos.y);
    rotate(angle);
    String theString = new String(typedLetters);
    PFont currentFont = createFont(fontList[floor(random(fontList.length))], 1 + random(24));
    textFont(currentFont);
    text(theString, 0, 0);
    rotate(-angle);
    translate(-pos.x, -pos.y);
  }
  
  void addCharacter(char c, int number) {
    typedLetters[number] = c;
  }
}
